Draft Rectangle: Difference between revisions

From FreeCAD Documentation
No edit summary
m (→)
Line 1: Line 1:
<translate>
<translate>
<!--T:1-->
<!--T:1-->
{{GuiCommand|Name=Draft Rectangle|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft -> Rectangle|Shortcut=R E|SeeAlso=[[Part Box|Part Box]]}}
{{GuiCommand|Name=Draft Rectangle|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft Rectangle|Shortcut=R E|SeeAlso=[[Part Box|Part Box]]}}


==Description== <!--T:2-->
==Description== <!--T:2-->

Revision as of 09:37, 3 May 2018

Draft Rectangle

Menu location
Draft → Rectangle
Workbenches
Draft, Arch
Default shortcut
R E
Introduced in version
-
See also
Part Box

Description

The rectangle tool creates a rectangle by picking two opposite points. It takes the linewidth and color previously set on the Tasks tab.

How to use

  1. Press the Draft Rectangle button, or press R then E keys
  2. Click a first corner point on the 3D view, or type a coordinate
  3. Click another opposite point on the 3D view, or type a coordinate. The rectangle will also be a face, even if it appears as wireframe.

Options

  • Press X, Y or Z after a point to constrain the next point on the given axis.
  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • Press R or click the checkbox to check/uncheck the Relative button. If relative mode is on, the coordinates of the next point are relative to the last one. If not, they are absolute, taken from the (0,0,0) origin point.
  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Rectangle tool will restart after you finish or close it, allowing you to draw another one without pressing the Rectangle button again.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Press SHIFT while drawing to constrain your next point horizontally or vertically in relation to the last one.
  • Press I or the Filled button to have the rectangle filled with a face after it has been closed.
  • Press ESC or the Cancel button to abort the current Line command.
  • Rectangles, when in "Flat Lines" display mode, can display a hatch pattern, by setting their "Pattern" property.

Properties

  • DataLength: Specifies the length of the rectangle
  • DataWidth: Specifies the width of the rectangle
  • DataChamfer Size: Specifies the size of chamfered corners
  • DataFillet Radius: Specifies a curvature radius to give to the corners of the rectangle
  • DataRows: Allows to give horizontal subdivisions to this rectangle
  • DataColumns: Allows to give vertical subdivisions to this rectangle
  • DataMake Face: Fills the rectangle with a face
  • ViewTexture Image: Allows to give the path to an image file to be mapped on the rectangle. It is up to you to give the rectangle the same proportion as the image if you want to avoid distortions. Blanking this property will remove the image.
  • ViewPattern: Specifies a hatch pattern to fill the wire with.
  • ViewPattern Size: Specifies the size of the hatch pattern

See also Draft Pattern page.

Scripting

The Rectangle tool can by used in macros and from the python console by using the following function:

makeRectangle (length, width, [placement], [facemode])
  • Creates a Rectangle object with length in X direction and height in Y direction.
  • If a placement is given, it is used.
  • If facemode is False, the rectangle is shown as a wireframe, otherwise as a face.
  • The current Draft linewidth and color will be used.
  • Returns the newly created object.

Example:

import FreeCAD,Draft
Draft.makeRectangle(10,4)